package com.yfd.platform.modules.experimentalData.domain;

import lombok.Data;

@Data
public class FileCompareResult {

    // 文件相对路径（相对于对比根目录）
    private String relativePath;

    // 文件状态：
    // LOCAL_MISSING - 本地缺失
    // REMOTE_MISSING - MinIO缺失
    // MD5_MISMATCH - MD5不一致
    private String status;

    // 本地文件的MD5哈希值
    private String localMd5;

    // MinIO文件的MD5哈希值
    private String remoteMd5;

    // 是否是目录
    private boolean isDirectory;
}
